function onTalk()
	disableMovement()
	waitUntilOnGround()
	if getFlag("openedFinalDoor") then
		say("CC_Deltarune_TheEnd_DoorBottom")
		if choice("CC_Deltarune_TheEnd_DoorChoice1","CC_Deltarune_TheEnd_DoorChoice2") == 1 then
			enableMovement()
			teleportTo(1834,-4980,"e-05")
			endCutscene()
		end
	else
		say("CC_Deltarune_TheEnd_DoorClosed")
	end
end
function onEnd()
	enableMovement()
end